r3187 - in jhalfs/branches/experimental: . BLFS HLFS

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sat Oct 14 10:19:02 PDT 2006


Author: manuel
Date: 2006-10-14 11:18:59 -0600 (Sat, 14 Oct 2006)
New Revision: 3187

Modified:
   jhalfs/branches/experimental/BLFS/gen-makefile.sh
   jhalfs/branches/experimental/HLFS/master.sh
   jhalfs/branches/experimental/README.BLFS
   jhalfs/branches/experimental/jhalfs
Log:
Merged r3175:3181 from trunk.

Modified: jhalfs/branches/experimental/BLFS/gen-makefile.sh
===================================================================
--- jhalfs/branches/experimental/BLFS/gen-makefile.sh	2006-10-14 16:28:12 UTC (rev 3186)
+++ jhalfs/branches/experimental/BLFS/gen-makefile.sh	2006-10-14 17:18:59 UTC (rev 3187)
@@ -10,7 +10,7 @@
 declare BUILD_SCRIPTS=scripts
 declare TRACKING_DIR=tracking-dir
 
-HEADER="# This file is automatically generated by jhalfs
+HEADER="# This file is automatically generated by gen-makefile.sh
 # YOU MAY NEED TO EDIT THIS FILE MANUALLY
 #
 # Generated on `date \"+%F %X %Z\"`"
@@ -247,6 +247,16 @@
 
 }
 
+if [[ -e Config.in ]] ; then
+  echo -e "\n\tThis script must be run from inside a target package directory.\n"
+  exit 1
+fi
+
+if [[ ! -d scripts ]] ; then
+  echo -e "\n\tNo ./scripts/ directory has been found.\n"
+  exit 1
+fi
+
 generate_Makefile
 
 cp ../progress_bar.sh .

Modified: jhalfs/branches/experimental/HLFS/master.sh
===================================================================
--- jhalfs/branches/experimental/HLFS/master.sh	2006-10-14 16:28:12 UTC (rev 3186)
+++ jhalfs/branches/experimental/HLFS/master.sh	2006-10-14 17:18:59 UTC (rev 3187)
@@ -473,9 +473,6 @@
     # Keep the script file name for Makefile dependencies.
     PREV=$this_script
   done  # for file in chapter07/*
-
-  # Add SBU-disk_usage report target if required
-  if [[ "$REPORT" = "y" ]] ; then wrt_report ; fi
 }
 
 

Modified: jhalfs/branches/experimental/README.BLFS
===================================================================
--- jhalfs/branches/experimental/README.BLFS	2006-10-14 16:28:12 UTC (rev 3186)
+++ jhalfs/branches/experimental/README.BLFS	2006-10-14 17:18:59 UTC (rev 3187)
@@ -104,14 +104,16 @@
        Next step is to create a book and build scripts in dependencies build order
     for a target package. A target can be a package or a meta-package.
 
+    WARNING:
+           Only one target (meta-package or individual package) must be
+           selected on each configuration run.
+           That is due that there is no way to solve dependencies properly
+           when more than one target are selected at the same time.
+
        Run <make> to launch the configuration interface. The main menu contains
     three block: meta-package selection, individual package selection, and
     build options.
 
-       Only one meta-package or individual package must be selected on each run.
-    That is due that there is no way to solve dependencies properly when
-    more than one target are selected at the same time.
-
        When a meta-package is selected is possible to unselect unwanted components.
     That unselected components will be skipped if no other components depends
     on them.

Modified: jhalfs/branches/experimental/jhalfs
===================================================================
--- jhalfs/branches/experimental/jhalfs	2006-10-14 16:28:12 UTC (rev 3186)
+++ jhalfs/branches/experimental/jhalfs	2006-10-14 17:18:59 UTC (rev 3187)
@@ -127,10 +127,6 @@
     LFSVRS=${BRANCH_ID}
     TREE=branches/${BRANCH_ID#branch-}/BOOK
     ;;
-  2.4-branch )
-    LFSVRS=${BRANCH_ID}
-    TREE=branches/2.4-branch
-    ;;
   * )
     case $PROGNAME in
       lfs | hlfs )




More information about the alfs-log mailing list